// $Id: Menu.h,v 1.5 2011/05/27 10:32:39 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

#ifndef Menu_h
#define Menu_h

/*!
\file    Menu.h
\brief   main menu
\author  Hugo Pereira
\version $Revision: 1.5 $
\date    $Date: 2011/05/27 10:32:39 $
*/

#include <QMenuBar>


#include "Debug.h"
#include "Counter.h"

/*!
\class   Menu
\brief   main menu
*/

class Menu:public QMenuBar, public Counter
{

    //! Qt meta object declaration
    Q_OBJECT

        public:

        //! creator
        Menu( QWidget* parent );

    //! destructor
    ~Menu( void )
    { Debug::Throw() << "Menu::~Menu.\n"; }

    private slots:

    //! update verbosity menu
    void _updateVerbosityMenu( void );

    //! toggle verbosity
    void _toggleVerbosity( QAction* );

    private:

    //! verbosity menu
    QMenu* verbosityMenu_;

    //! verbosity button id
    QAction* verbosityLow_;

    //! verbosity button id
    QAction* verbosityHigh_;

};

#endif
